package nl.webwinkel;

import com.bea.wlevs.ede.api.EventType;
import com.bea.wlevs.ede.api.EventTypeRepository;
import com.bea.wlevs.ede.api.StreamSink;
import com.bea.wlevs.util.Service;

public class WebWinkelResultatenOntvanger implements StreamSink {
	EventTypeRepository  etr_;
	
	@Service
	public void setEventTypeRepository(EventTypeRepository etr) {
	    etr_ = etr;
	}
    /* (non-Javadoc)
     * @see com.bea.wlevs.ede.api.StreamSink#onInsertEvent(java.lang.Object)
     */
    public void onInsertEvent(Object event) {
    //	System.out.println("Event type "+event.getClass().getCanonicalName());
    	//System.out.println("OutputBean:onEvent() + " + event);
    	EventType eventType = etr_.getEventType(event);
    	 if (eventType.getTypeName().equals("WebWinkelZoektermAggregatieEvent")) { 		
          	String zoekterm = (String)eventType.getPropertyValue(event, "zoekterm");
         	Integer aantal = (Integer)eventType.getPropertyValue(event, "aantal");
           	System.out.println("Top Zoekterm: " + zoekterm+" - aantal: "+aantal);
         }
    	 if (eventType.getTypeName().equals("SuccesvolZoektermEvent")) { 		
           	String zoekterm = (String)eventType.getPropertyValue(event, "zoekterm");
          	String product = (String)eventType.getPropertyValue(event, "product");
            	System.out.println("Succesvolle Zoekterm: " + zoekterm+" - product: "+product);
          }
    	 
    	 if (eventType.getTypeName().equals("SlechteZoektermEvent")) { 		
           	String zoekterm = (String)eventType.getPropertyValue(event, "zoekterm");
          	Integer aantal = (Integer)eventType.getPropertyValue(event, "aantal");
            	System.out.println("Populaire Slechte Zoekterm: " + zoekterm+" - aantal: "+aantal);
          }

    	 if (eventType.getTypeName().equals("ProductBekekenNietGekochtEvent")) { 		
          	String product = (String)eventType.getPropertyValue(event, "product");
            	System.out.println("Wel bekeken, niet gekocht - product: "+product);
          }
    	
    	 
    	 
    }
}



